{% extends "users/userspace.html" %}

{% load template_utils %}

{% block content %}
    <div class="container py-4">
        <h1>S'inscrire à des distributions</h1>
        <h5>Signature des contrats</h5>

        <form action="#" method="post">
            {% csrf_token %}

            <div class="w-100 d-flex justify-content-between my-3">
                <a href="{% url 'recap_reglements_inscription' id_groupe=id_groupe %}" class="btn btn-secondary">
                    Retour
                </a>

                <button type="submit" class="btn btn-success">
                    Continuer
                </button>
            </div>

            <div class="alert alert-warning">
                <i class="fas fa-exclamation-triangle"></i> ATTENTION ! Ton contrat n'est pas encore validé, continue le processus jusqu'au bout en
                cliquant sur continuer.
            </div>

            {% if request.user.essai_gratuit and not request.user.adherent %}
            <div class="alert alert-danger">
                <i class="fas fa-exclamation-triangle"></i> ATTENTION: En passant cette commande, <b>tu vas consommer ta période d'essai sans adhésion</b>. Assure-toi d'avoir
                commandé tout ce que tu souhaites essayer, afin de ne pas te retrouver forcé.e d'adhérer.
            </div>
            {% endif %}

            {% if form.errors %}
                <div class="alert alert-danger my-3" role="alert">
                    {% for fieldname, errors in form.errors.items %}
                        {% if fieldname == "__all__" %}
                            Problèmes :
                        {% else %}
                            {{ fieldname }} :
                        {% endif %}
                        <ul>
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    {% endfor %}
                </div>
            {% endif %}

            <p>
                Une dernière étape avant de valider...
            </p>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="id_charte_amap" name="charte_amap" required=""/>
                <label class="form-check-label" for="id_charte_amap">
                    Je confirme avoir pris connaissance de la
                    <a href="https://amap-aura.org/la-charte-des-amap/" target="_blank">
                        Charte des AMAP
                    </a>
                </label>
            </div>

            {% for contrat in contrats %}
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="id_check_contrat_{{ contrat.id }}"
                           name="check_contrat_{{ contrat.id }}" required=""/>
                    <label class="form-check-label" for="id_check_contrat_{{ contrat.id }}">
                        J'accepte les termes du
                        <a href="{% url 'contrat_pdf' id_contrat=contrat.id %}" target="_blank">
                            contrat juridique avec {{ contrat.ferme.nom }}
                        </a>
                    </label>
                </div>
            {% endfor %}

            <div class="w-100 d-flex justify-content-end my-3">
                <button type="submit" class="btn btn-success">
                    Continuer
                </button>
            </div>
        </form>
    </div>
{% endblock %}
